From 336f277e14456a403cb52202a25da891dbcd70de Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 04 2017 08:54:36 +0000
Subject: [PATCH 782/1001] Enable foreign keys constraints on SQLite


---

diff --git a/hubs/models.py b/hubs/models.py
index 23d4f14..d9f7a00 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -93,6 +93,8 @@ def init(db_url, debug=False, create=False):
 
     """
     engine = create_engine(db_url, echo=debug)
+    if engine.name == "sqlite":
+        engine.execute("PRAGMA foreign_keys=ON")
 
     if create:
         BASE.metadata.create_all(engine)

